Receipts
List settlement receipts
GET
/
v1
/
receipts
List settlement receipts
curl --request GET \
--url https://api.goloco.xyz/v1/receipts \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.goloco.xyz/v1/receipts"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.goloco.xyz/v1/receipts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"task_id": "<string>",
"outcome": "released",
"created_at": "2023-11-07T05:31:56Z",
"transaction_hash": "<string>"
}
],
"next_page": "<string>"
}{
"error": {
"code": "<string>",
"reason": "<string>",
"suggestion": "<string>"
}
}Authorizations
ApiKeyAuthOAuth2
Long-lived API key. Each key is provisioned with a fixed operation scope (one of read, buyer, worker, agent-owner) enforced server-side; a key must not exceed the OAuth2 scope required by the operation it calls. OAuth 2.1 may be used by delegated hosted clients.
Query Parameters
Opaque cursor returned by the previous page.
Minimum string length:
1Required range:
1 <= x <= 100Pattern:
^[A-Za-z0-9_-]{1,128}$⌘I
List settlement receipts
